al_color_oklab(3)

NAME

al_color_oklab - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    ALLEGRO_COLOR al_color_oklab(float l, float a, float b)

DESCRIPTION

Return an ALLEGRO_COLOR(3) structure from Oklab values. The L component corresponds to luminance from 0..1. The a and b components are in the range -1..+1.

    Note:

    The Oklab color space can represent more colors than are visible in sRGB and therefore conversion may result in RGB values outside of the 0..1 range. You can check for that case with al_is_color_valid(3).

SINCE

5.2.8

SEE ALSO

al_color_oklab_to_rgb(3), al_color_rgb_to_oklab(3)